{% extends 'base.html.twig' %}
{% block title %}Promotions de Simplon Grenoble !{% endblock %}

{% block body %}

<!-- Titre du contenu -->
<div class="promo-title">
    <div class="overlay main-pad">
        <div class="titre col-12 p-5 h1 loading">
            <h1>Nos Formations</h1>
        </div>
    </div>
</div>

<!-- Fin de Titre du contenu -->
<div id="promo-content" class="container main-pad">
    <div class="row">
        {% for promo in promos %}
        <div class="formation col-12 col-lg-6">
            <div class="hovereffect card flex-md-row">
                <img src="uploads/images/promos/{{ promo.image }}" alt="" />
                <div class="overlay card-body">
                    <h3>{{promo.name}}</h3>
                    <div class="info">
                        <div class="dates">
                            <div class="innerDate">
                                <i class="far fa-calendar-alt"></i>
                                <p> Du <span class="pinkText">{{promo.startDate|date('d-m-Y')}}</span>
                                    <br>
                                    Au <span class="pinkText"> {{promo.endDate|date('d-m-Y')}}</span>
                                </p>
                            </div>
                            <div>
                                <p>17 Apprenants</p>
                            </div>
                        </div>

                        <div class="card-text">
                            {% set promoDesc = promo.description|raw %}
                            {% if promo.description|length > 200 %}
                                {{promoDesc|slice(0, 200)}}
                                <span>...</span>
                            {% endif %}
                        </div>
                    </div>
                    <a class="btn" href="#">Découvrir la promo</a>
                </div>
            </div>
        </div>
        {% endfor %}
    </div>
</div>


<!-- Caroussel de photos de différentes promos -->
<!-- <div class="caroussel">
    <div class="container">
        <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
            <ol class="carousel-indicators">
                <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
            </ol>
            <div class="carousel-inner">
                <div class="carousel-item active">
                    <img class="d-block w-100" src="{{asset("img/promos/promo_groupe_1.jpg")}}" alt="First slide">
                </div>
                <div class="carousel-item">
                    <img class="d-block w-100" src="{{asset("img/promos/promo_groupe_2.jpg")}}" alt="Second slide">
                </div>
                <div class="carousel-item">
                    <img class="d-block w-100" src="{{asset("img/promos/promo_groupe_3.jpg")}}" alt="Third slide">
                </div>
            </div>
            <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                <span class="sr-only">Précédent</span>
            </a>
            <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                <span class="sr-only">Suivant</span>
            </a>
        </div>
    </div>
</div> -->

<!-- Caroussel de photos de différentes promos -->
{% endblock %}
{% block javascripts %}
    {{ parent() }}
{% endblock %}
